For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportContact salesStart free trial
  • Getting started
    • Overview
    • Authentication
    • Querying tutorial
    • OData Integrations
    • Work Breakdown Structure
    • Software Development Kits
    • API Patch Notes
    • FAQ
    • Terms of use
  • API Reference
      • GETRetrieve Notifications
      • GETNotification Count
      • GETUnread Notification Count
      • DELDelete All Notifications
      • POSTMark Notification Read
      • POSTRead All Notifications
      • DELDelete Notification
      • POSTMark Notification Unread
LogoLogo
SupportContact salesStart free trial
API ReferenceNotification

Delete Notification

DELETE
https://api.projectmanager.com/api/data/notifications/delete/:id
DELETE
/api/data/notifications/delete/:id
$curl -X DELETE https://api.projectmanager.com/api/data/notifications/delete/id \
> -H "Authorization: Bearer <token>"
200Deleted
1{
2 "error": {
3 "technicalError": "string",
4 "additionalErrors": [
5 "string"
6 ],
7 "validationErrors": {},
8 "message": "string"
9 },
10 "success": true,
11 "hasError": true,
12 "statusCode": "Continue"
13}
Deletes a pending notification that is no longer wanted. A notification represents a message sent to a user to inform them of relevant actions or events within their workspace. Notifications are ephemeral and may be deleted when they are no longer needed. When a user has more than 1,000 pending notifications some old notifications will be deleted automatically.
Was this page helpful?
Previous

Mark Notification Unread

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequiredformat: "uuid"
The unique identifier of the notification to mark read

Headers

x-integration-namestringOptional
The name of the calling system passed along as a header parameter

Response

Success
errorobject or null
If the API call failed, this will contain information about the error that occurred.
successbooleanRead-only

True if the API call succeeded; false otherwise.

hasErrorbooleanRead-only
True if the API call failed.
statusCodeenum
The HTTP code of the response.